summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-lua/lgi
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-lua/lgi')
-rw-r--r--dev-lua/lgi/Manifest3
-rw-r--r--dev-lua/lgi/lgi-0.6.2-r1.ebuild54
-rw-r--r--dev-lua/lgi/lgi-0.6.2.ebuild38
-rw-r--r--dev-lua/lgi/lgi-0.7.2.ebuild54
-rw-r--r--dev-lua/lgi/lgi-0.9.0.ebuild54
-rw-r--r--dev-lua/lgi/metadata.xml10
6 files changed, 213 insertions, 0 deletions
diff --git a/dev-lua/lgi/Manifest b/dev-lua/lgi/Manifest
new file mode 100644
index 00000000000..1b6bdfe91aa
--- /dev/null
+++ b/dev-lua/lgi/Manifest
@@ -0,0 +1,3 @@
+DIST lgi-0.6.2.tar.gz 257541 SHA256 93b0a520f03822794d94cb86273d0744a3808792e2832b67f17ee03d7ded8773 SHA512 02b75f17f98d7f7240c335384a85cdb0bb1c1b117b4ea8baa065715c4e5ecac946618ef83f92ef476a87db3a17a29a0e21d71f4f79db3bc4e519cf795ae181f5 WHIRLPOOL 52b9165691691fc6214ee5697fd92e5aebacc39b1d5c461c67846545c026523c503ff3abc8820373756f5e2e755b85493763ac4f241f44917d578bf899bf9947
+DIST lgi-0.7.2.tar.gz 270767 SHA256 76a590f36fe1389d69d116e15ceb6983eab346a16702e8f41604ac73de3b1446 SHA512 e661e13d6f539c2c434a6b0db9e622ee4af3c039a6488617954643f0b46a908068a14e6d37ff44437fbe5b4cb62863699107ab533aca121d4b8d584ca83c35fc WHIRLPOOL ca2035588582e1883b70ed7a03330448630d1cf648f0a3b98721002acdbac0b3e08637ae057e9fd597b31699348a9b4c561ca01440a0343c488d27fd1063ba3c
+DIST lgi-0.9.0.tar.gz 285248 SHA256 87c7870f8a1c60b48c4d5587b7fab46863e1cb9e76a68520f47e9ef2764cfe24 SHA512 1a486a40f504740224b1d277368df65e0a30708c02422390517c2fbf961b5fec264bdbc695d306e2f5fb2aa8ad4539212ef5314b18f45e3b488fd5f492a19f9e WHIRLPOOL b5d844d542a3d1ebf9084d4f4ba6eacf20b06b521ec6a8d72cd6084e9819b1144c5f5a5fa8fa82ac03d2af2d12853d5552abd6f1e5e47ce2f96abda3edf69232
diff --git a/dev-lua/lgi/lgi-0.6.2-r1.ebuild b/dev-lua/lgi/lgi-0.6.2-r1.ebuild
new file mode 100644
index 00000000000..d4eee000fdb
--- /dev/null
+++ b/dev-lua/lgi/lgi-0.6.2-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+VIRTUALX_REQUIRED="manual"
+
+inherit eutils toolchain-funcs flag-o-matic virtualx
+
+DESCRIPTION="Lua bindings using gobject-introspection"
+HOMEPAGE="http://github.com/pavouk/lgi"
+SRC_URI="http://github.com/downloads/pavouk/lgi/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="examples test"
+
+RDEPEND=">=dev-lang/lua-5.1
+ dev-libs/gobject-introspection
+ dev-libs/glib
+ virtual/libffi"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? (
+ x11-libs/cairo[glib]
+ x11-libs/gtk+[introspection]
+ ${VIRTUALX_DEPEND}
+ )"
+
+src_prepare() {
+ sed -i \
+ -e "s:^LUA_LIBDIR.*$:LUA_LIBDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua):" \
+ -e "s:^LUA_SHAREDIR.*$:LUA_SHAREDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua):" \
+ "${S}"/lgi/Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}"
+}
+
+src_test() {
+ Xemake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}" check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dohtml -r docs/*
+ dodoc README.md
+ if use examples; then
+ dodoc -r samples
+ fi
+}
diff --git a/dev-lua/lgi/lgi-0.6.2.ebuild b/dev-lua/lgi/lgi-0.6.2.ebuild
new file mode 100644
index 00000000000..7a01a073716
--- /dev/null
+++ b/dev-lua/lgi/lgi-0.6.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils toolchain-funcs flag-o-matic
+
+DESCRIPTION="Lua bindings using gobject-introspection"
+HOMEPAGE="http://github.com/pavouk/lgi"
+SRC_URI="http://github.com/downloads/pavouk/lgi/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND=">=dev-lang/lua-5.1
+ x11-libs/gtk+[introspection]"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed -i \
+ -e "s:^LUA_LIBDIR.*$:LUA_LIBDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua):" \
+ -e "s:^LUA_SHAREDIR.*$:LUA_SHAREDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua):" \
+ "${S}"/lgi/Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dohtml -r docs/*
+ dodoc README.md
+}
diff --git a/dev-lua/lgi/lgi-0.7.2.ebuild b/dev-lua/lgi/lgi-0.7.2.ebuild
new file mode 100644
index 00000000000..2892d450987
--- /dev/null
+++ b/dev-lua/lgi/lgi-0.7.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+VIRTUALX_REQUIRED="manual"
+
+inherit eutils toolchain-funcs flag-o-matic virtualx
+
+DESCRIPTION="Lua bindings using gobject-introspection"
+HOMEPAGE="http://github.com/pavouk/lgi"
+SRC_URI="https://github.com/pavouk/lgi/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ppc64 x86 ~x86-fbsd"
+IUSE="examples test"
+
+RDEPEND=">=dev-lang/lua-5.1
+ dev-libs/gobject-introspection
+ dev-libs/glib
+ virtual/libffi"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? (
+ x11-libs/cairo[glib]
+ x11-libs/gtk+[introspection]
+ ${VIRTUALX_DEPEND}
+ )"
+
+src_prepare() {
+ sed -i \
+ -e "s:^LUA_LIBDIR.*$:LUA_LIBDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua):" \
+ -e "s:^LUA_SHAREDIR.*$:LUA_SHAREDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua):" \
+ "${S}"/lgi/Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}"
+}
+
+src_test() {
+ Xemake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}" check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dohtml -r docs/*
+ dodoc README.md
+ if use examples; then
+ dodoc -r samples
+ fi
+}
diff --git a/dev-lua/lgi/lgi-0.9.0.ebuild b/dev-lua/lgi/lgi-0.9.0.ebuild
new file mode 100644
index 00000000000..2892d450987
--- /dev/null
+++ b/dev-lua/lgi/lgi-0.9.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+VIRTUALX_REQUIRED="manual"
+
+inherit eutils toolchain-funcs flag-o-matic virtualx
+
+DESCRIPTION="Lua bindings using gobject-introspection"
+HOMEPAGE="http://github.com/pavouk/lgi"
+SRC_URI="https://github.com/pavouk/lgi/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ppc64 x86 ~x86-fbsd"
+IUSE="examples test"
+
+RDEPEND=">=dev-lang/lua-5.1
+ dev-libs/gobject-introspection
+ dev-libs/glib
+ virtual/libffi"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? (
+ x11-libs/cairo[glib]
+ x11-libs/gtk+[introspection]
+ ${VIRTUALX_DEPEND}
+ )"
+
+src_prepare() {
+ sed -i \
+ -e "s:^LUA_LIBDIR.*$:LUA_LIBDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua):" \
+ -e "s:^LUA_SHAREDIR.*$:LUA_SHAREDIR = $($(tc-getPKG_CONFIG) --variable INSTALL_LMOD lua):" \
+ "${S}"/lgi/Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}"
+}
+
+src_test() {
+ Xemake CC="$(tc-getCC)" COPTFLAGS="-Wall -Wextra ${CFLAGS}" LIBFLAG="-shared ${LDFLAGS}" check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dohtml -r docs/*
+ dodoc README.md
+ if use examples; then
+ dodoc -r samples
+ fi
+}
diff --git a/dev-lua/lgi/metadata.xml b/dev-lua/lgi/metadata.xml
new file mode 100644
index 00000000000..1145d66e678
--- /dev/null
+++ b/dev-lua/lgi/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>robbat2@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">pavouk/lgi</remote-id>
+ </upstream>
+</pkgmetadata>